# cmake_minimum_required(VERSION 3.10)
# if(CMAKE_VERSION VERSION_LESS "3.7.0")
#     set(CMAKE_INCLUDE_CURRENT_DIR ON)
# endif()

# set(CMAKE_CXX_STANDARD 20)
# set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

find_package(Qt5 COMPONENTS Widgets REQUIRED)

# find_package(QScintilla REQUIRED)
include_directories(/usr/include/qt/Qsci)

add_executable(
	MdemoryApp
    main.cpp
	mdemList.cpp
	trainWindow.cpp
	settings.cpp
)

target_link_libraries(MdemoryApp Qt5::Widgets /usr/lib/libqscintilla2_qt5.so api)
target_include_directories(MdemoryApp PRIVATE  ${CMAKE_SOURCE_DIR}/include)
